Page MenuHomePhabricator

Enable <mapframe> on Latvian Wikipedia
Closed, ResolvedPublic

Description

Please enable mapframe on Latvian Wikipedia.

Community consensus: https://lv.wikipedia.org/wiki/Vikip%C4%93dija:Kopienas_port%C4%81ls#Kartes,_for%C5%A1as_kartes

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptDec 24 2017, 1:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm claimed this task.Dec 24 2017, 1:32 PM
Urbanecm triaged this task as Low priority.
Urbanecm added subscribers: debt, Gehel, Urbanecm.

As per T171588#3477475 we can enable mapframe at small wikis like lvwiki but be warned that the Maps team have not enough human resources to be able to add new feature to the extension. I kindly ask @Gehel and @debt from the task I linked for confirmation of what I say. In the meanwhile I'm going to prepare enabling patch and I'm also putting this task as Under discussion.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 24 2017, 1:32 PM

Change 400096 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable mapframe on lvwiki

https://gerrit.wikimedia.org/r/400096

I kindly ask @Gehel and @debt from the task I linked for confirmation of what I say.

Yep. Basically we have no concerns about the additional load breaking anything, but have no capacity for enhancement requests. If new bugs are found, we'll do our best to solve them.

This is true for all wikipedias, including English.

I'm not sure what the deployment schedule is like over the holidays, but I'd not expect anything until the new year.

There is code freeze till January 2nd, when first SWAT window is. I'll schedule this patch then!

@Fjalapeno just so you know this is going on...

Change 400096 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable mapframe on lvwiki

https://gerrit.wikimedia.org/r/400096

Mentioned in SAL (#wikimedia-operations) [2018-01-02T14:54:50Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:400096|Enable mapframe on lvwiki (T183661)]] (duration: 00m 51s)

Urbanecm closed this task as Resolved.Jan 2 2018, 3:21 PM

Deployed.

debt added a comment.EditedJan 2 2018, 6:33 PM

Hi @Urbanecm and thanks for the note about adding mapframe to the Latvian Wikipedia. It looks like the deployment went easy and I hope that everything is good from your end. :)

I apologize for the late response to your ping, as most of the Foundation was on holiday this past week (or more) we are getting back up to speed on things.

debt added a comment.Jan 2 2018, 7:03 PM

As another note, @Urbanecm - 'wgKartographerStaticMapframe' was not enabled during today's SWAT deployment. This might cause some of the new mapframe maps to load slowly, just as a FYI (more information here).

MaxSem added a subscriber: MaxSem.Jan 2 2018, 7:06 PM

For Wikipedias and other high load projects, static frames are a must. I think we should just force it for all WPs and ditch per-wiki settings.

@debt & @MaxSem, let's enabble it then. I'm sorry, didn't know it is required. Will create a follow up task.